"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const node_pty_1 = require("node-pty");
const os_1 = tslib_1.__importDefault(require("os"));
exports.terminalEmulator = ({ cwd, onData, onStopProcessing, onExit }) => {
    const shell = os_1.default.platform() === 'win32' ? 'powershell.exe' : 'bash';
    let stopProcessingAlreadyTriggered = false;
    process.env.FORCE_COLOR = true;
    const ptyProcess = node_pty_1.spawn(shell, [], {
        name: 'xterm-color',
        cols: 500,
        rows: 30,
        cwd,
        env: process.env,
    });
    ptyProcess.on('data', (data) => {
        if (/bash-3\.2\$ $/.test(data)) {
            if (onStopProcessing) {
                stopProcessingAlreadyTriggered = true;
                onStopProcessing();
            }
            return;
        }
        onData(data);
    });
    ptyProcess.on('exit', () => {
        if (onExit) {
            onExit();
        }
    });
    return ptyProcess;
};
//# sourceMappingURL=terminal-emulator.js.map